// cannedresponses.js

$(document).ready(function () {
    $(document).bind("DOMSubtreeModified", DOMChange);
});

function DOMChange() {
    $("a[id='Ribbon.EditingTools.CPInsert.Media.Image.Menu.Image.FromComputer-Menu']").hide();
    $("a[id='Ribbon.EditingTools.CPInsert.Media.Image.Menu.Image.FromSharePoint-Menu']").hide();
    $("a[id='Ribbon.EditingTools.CPInsert.Links.InsertLink.Link.Menu.Link.FromSharePoint-Menu']").hide();
    $("a[id='Ribbon.EditingTools.CPInsert.Media.Media-Large']").hide();
    $("a[id='Ribbon.EditingTools.CPInsert.Media.CloudVideo-Large']").hide();
    $("a[id='Ribbon.EditingTools.CPInsert.Links.UploadFile-Large']").hide();
    $("li[id='Ribbon.EditingTools.CPInsert.Embed']").hide();
    $("li[id='Ribbon.EditingTools.CPInsert.Content']").hide();
    $("li[id='Ribbon.EditingTools.CPEditTab.Styles']").hide();
    $("li[id='Ribbon.EditingTools.CPEditTab.SpellCheck']").hide();
    $("li[id='Ribbon.EditingTools.CPEditTab.Markup']").hide();
    $("span[id='Ribbon.EditingTools.CPEditTab.Font.Fonts-Medium']").hide();
    $("span[id='Ribbon.EditingTools.CPEditTab.Font.FontSize-Medium']").hide();
    $("span[id='Ribbon.EditingTools.CPEditTab.Font-Large-0-1-1']").hide();
    $("span[id='Ribbon.EditingTools.CPEditTab.Font-Large-0-1-2']").hide();
    $("a[id='rtePasteFlyoutOption0']").hide();
    $("a[id='rtePasteFlyoutOption1']").hide();
    $("li[id='Ribbon.Image.Image.Edit']").hide();
}